package com.backfire.widget;

import com.backfire.room.Interface.IClickListener;

import android.graphics.Rect;

/**   
 * @Title: PButton.java
 * @Description: 
 * @author Potter
 * @date 2013年10月24日 上午11:21:43
 * @version V2.0   
 */
public class PButton{
	protected Rect rect = null;
	protected boolean enable = false;
	protected int msg;

	protected IClickListener listener;
	
	public PButton(IClickListener iClickListener,int msg,int x,int y,int w,int h){
		this.listener=iClickListener;
		this.msg=msg;
		rect=new Rect(x, y, x+w, y+h);
	}
	
	public Rect getRect() {
		return rect;
	}

	public void setRect(Rect rect) {
		this.rect = rect;
	}
	
	public int getMsg() {
		return msg;
	}

	public void setMsg(int msg) {
		this.msg = msg;
	}
	
}
